<p-dropdown
  [style]="style"
  [options]="options"
  optionLabel="label"
  optionValue="value"
  [disabled]="disabled"
  [ngModel]="selectedItem"
  (ngModelChange)="onSelectedItemChange($event)"
  [ngModelOptions]="selectedItemConfigOptions"
  [resetFilterOnHide]="resetFilterOnHide"
  [filter]="true"
  [placeholder]="placeholder"
  [appendTo]="appendTo"
>
  <ng-template pTemplate="selectedItem" let-selectedOption>
    <div>{{ selectedOption.label }}</div>
  </ng-template>
</p-dropdown>